package emps.v2_obiektowo;

import java.util.Comparator;
import java.util.List;

public class P6_Sortowanie_v2 {

    public static void main(String[] args) {
        List<Employee> emps = ObslugaCSV.wczytajDane();
        System.out.println("Sortujemy rosnąco wg pensji");
        
        // Zamiast wyrażenia lambda moża też utworzyć Comparator porównujący pola obiektów w taki sposób:
        emps.sort(Comparator.comparingInt(Employee::getSalary));
        
        for(Employee emp : emps) {
            System.out.printf("%s %s (%s) zarabia %d\n",
                    emp.getFirstName(), emp.getLastName(), emp.getJobTitle(), emp.getSalary());
        }
    }

}
